summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Marco Cecchetti <mrc.ildp@gmail.com>2010-05-12 23:31:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:31:47 +0200
commit36885decb4c45a9e9b3d366dfca23654815a19c4 (patch)
tree54b6999f762bf25e77d64240871696002ae3a8ce /multimedia
parent2263fd4df9643f05b63ad8e1076c3363777930b2 (diff)
downloadslackbuilds-36885decb4c45a9e9b3d366dfca23654815a19c4.tar.gz
slackbuilds-36885decb4c45a9e9b3d366dfca23654815a19c4.tar.xz
multimedia/gst-gnome-vfs: Added to 12.2 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gst-gnome-vfs/README9
-rw-r--r--multimedia/gst-gnome-vfs/gst-gnome-vfs.SlackBuild81
-rw-r--r--multimedia/gst-gnome-vfs/gst-gnome-vfs.info8
-rw-r--r--multimedia/gst-gnome-vfs/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/multimedia/gst-gnome-vfs/README b/multimedia/gst-gnome-vfs/README
new file mode 100644
index 0000000000..b03865ad53
--- /dev/null
+++ b/multimedia/gst-gnome-vfs/README
@@ -0,0 +1,9 @@
+GStreamer plugin for gnome-vfs
+
+GStreamer is a library for constructing graphs of media-handling components.
+It supports a range of applications; from simple Ogg/Vorbis playback, audio/video
+streaming to complex audio (mixing) and video (non-linear editing) processing.
+
+This package contains the GStreamer plugin for Gnome Virtual File System.
+
+This requires gnome-vfs.
diff --git a/multimedia/gst-gnome-vfs/gst-gnome-vfs.SlackBuild b/multimedia/gst-gnome-vfs/gst-gnome-vfs.SlackBuild
new file mode 100644
index 0000000000..211f4e6dcc
--- /dev/null
+++ b/multimedia/gst-gnome-vfs/gst-gnome-vfs.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+# Slackware build script for gst-gnome-vfs
+# Written by Marco Cecchetti (mrc.ildp@gmail.com)
+
+PRGNAM=gst-gnome-vfs
+VERSION=${VERSION:-0.10.21}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf gst-plugins-base-$VERSION
+tar xvf $CWD/gst-plugins-base-$VERSION.tar.gz
+cd gst-plugins-base-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-static=no \
+ --disable-nls \
+ --disable-debug \
+ --disable-examples \
+ --with-plugins \
+ --disable-x \
+ --disable-xvideo \
+ --disable-gst_v4l \
+ --disable-alsa \
+ --disable-cdparanoia \
+ --disable-gio \
+ --disable-libvisual \
+ --disable-ogg \
+ --disable-pango \
+ --disable-theora \
+ --disable-vorbis \
+ --build=$ARCH-slackware-linux
+
+ make
+
+mkdir -p $PKG/usr/lib/gstreamer-0.10
+cp ext/gnomevfs/.libs/libgstgnomevfs.so $PKG/usr/lib/gstreamer-0.10
+cp ext/gnomevfs/.libs/libgstgnomevfs.la $PKG/usr/lib/gstreamer-0.10
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/gst-gnome-vfs/gst-gnome-vfs.info b/multimedia/gst-gnome-vfs/gst-gnome-vfs.info
new file mode 100644
index 0000000000..7974d93dde
--- /dev/null
+++ b/multimedia/gst-gnome-vfs/gst-gnome-vfs.info
@@ -0,0 +1,8 @@
+PRGNAM="gst-gnome-vfs"
+VERSION="0.10.21"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-0.10.21.tar.gz"
+MD5SUM="69caf16640ebf2477a9197f62a5d6ee2"
+MAINTAINER="Marco Cecchetti"
+EMAIL="mrc.ildp@gmail.com"
+
diff --git a/multimedia/gst-gnome-vfs/slack-desc b/multimedia/gst-gnome-vfs/slack-desc
new file mode 100644
index 0000000000..003ac38adf
--- /dev/null
+++ b/multimedia/gst-gnome-vfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+gst-gnome-vfs: gst-gnome-vfs (GStreamer plugin for gnome-vfs)
+gst-gnome-vfs:
+gst-gnome-vfs: GStreamer is a library for constructing graphs of media-handling
+gst-gnome-vfs: components. It supports a range of applications from simple Ogg/Vorbis
+gst-gnome-vfs: playback, audio/video streaming to complex audio (mixing) and video
+gst-gnome-vfs: (non-linear editing) processing.
+gst-gnome-vfs:
+gst-gnome-vfs: This consists of GStreamer plugin for Gnome Virtual File System.
+gst-gnome-vfs:
+gst-gnome-vfs:
+gst-gnome-vfs: